OGRE: Ogre::ShadowRenderable Class Reference - OGRE Documentation

Public Member Functions | Protected Types | Protected Attributes

# Ogre::ShadowRenderable Class Reference
[Scene]

Class which represents the renderable aspects of a set of shadow volume faces. More...

`#include <OgreShadowCaster.h>`

Inheritance diagram for Ogre::ShadowRenderable:
[legend]

List of all members.

## Public Member Functions
| ShadowRenderable ()
virtual | ~ShadowRenderable ()
void | setMaterial (const MaterialPtr &mat)
| Set the material to be used by the shadow, should be set by the caller before adding to a render queue.
const MaterialPtr & | getMaterial (void) const
| Overridden from Renderable.
void | getRenderOperation (RenderOperation &op)
| Overridden from Renderable.
RenderOperation * | getRenderOperationForUpdate (void)
| Get the internal render operation for set up.
void | getWorldTransforms (Matrix4 *xform) const =0
| Overridden from Renderable.
Real | getSquaredViewDepth (const Camera *) const
| Overridden from Renderable.
const LightList & | getLights (void) const
| Overridden from Renderable.
bool | isLightCapSeparate (void) const
| Does this renderable require a separate light cap?
ShadowRenderable * | getLightCapRenderable (void)
| Get the light cap version of this renderable.
virtual bool | isVisible (void) const
| Should this ShadowRenderable be treated as visible?
virtual const MaterialPtr & | getMaterial (void) const =0
| Retrieves a weak reference to the material this renderable object uses.
virtual Technique * | getTechnique (void) const
| Retrieves a pointer to the Material Technique this renderable object uses.
virtual void | getRenderOperation (RenderOperation &op)=0
| Gets the render operation required to send this object to the frame buffer.
virtual bool | preRender (SceneManager *sm, RenderSystem *rsys)
| Called just prior to the Renderable being rendered.
virtual void | postRender (SceneManager *sm, RenderSystem *rsys)
| Called immediately after the Renderable has been rendered.
virtual void | getWorldTransforms (Matrix4 *xform) const =0
| Gets the world transform matrix / matrices for this renderable object.
virtual unsigned short | getNumWorldTransforms (void) const
| Returns the number of world transform matrices this renderable requires.
void | setUseIdentityProjection (bool useIdentityProjection)
| Sets whether or not to use an 'identity' projection.
bool | getUseIdentityProjection (void) const
| Returns whether or not to use an 'identity' projection.
void | setUseIdentityView (bool useIdentityView)
| Sets whether or not to use an 'identity' view.
bool | getUseIdentityView (void) const
| Returns whether or not to use an 'identity' view.
virtual Real | getSquaredViewDepth (const Camera *cam) const =0
| Returns the camera-relative squared depth of this renderable.
virtual const LightList & | getLights (void) const =0
| Gets a list of lights, ordered relative to how close they are to this renderable.
virtual bool | getCastsShadows (void) const
| Method which reports whether this renderable would normally cast a shadow.
void | setCustomParameter (size_t index, const Vector4 &value)
| Sets a custom parameter for this Renderable, which may be used to drive calculations for this specific Renderable, like GPU program parameters.
const Vector4 & | getCustomParameter (size_t index) const
| Gets the custom value associated with this Renderable at the given index.
virtual void | _updateCustomGpuParameter (const GpuProgramParameters::AutoConstantEntry &constantEntry, GpuProgramParameters *params) const
| Update a custom GpuProgramParameters constant which is derived from information only this Renderable knows.
virtual void | setPolygonModeOverrideable (bool override)
| Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.
virtual bool | getPolygonModeOverrideable (void) const
| Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.
virtual void | setUserAny (const Any &anything)
virtual const Any & | getUserAny (void) const
UserObjectBindings & | getUserObjectBindings ()
| Return an instance of user objects binding associated with this class.
const UserObjectBindings & | getUserObjectBindings () const
| Return an instance of user objects binding associated with this class.
virtual RenderSystemData * | getRenderSystemData () const
| Sets render system private data.
virtual void | setRenderSystemData (RenderSystemData *val) const
| gets render system private data
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Types
typedef map< size_t, Vector4 > ::type | CustomParameterMap
## Protected Attributes
MaterialPtr | mMaterial
RenderOperation | mRenderOp
ShadowRenderable * | mLightCap
CustomParameterMap | mCustomParameters
bool | mPolygonModeOverrideable
bool | mUseIdentityProjection
bool | mUseIdentityView
UserObjectBindings | mUserObjectBindings
RenderSystemData * | mRenderSystemData

## Detailed Description

Class which represents the renderable aspects of a set of shadow volume faces.

Remarks:
  Note that for casters comprised of more than one set of vertex buffers (e.g. SubMeshes each using their own geometry), it will take more than one ShadowRenderable to render the shadow volume. Therefore for shadow caster geometry, it is best to stick to one set of vertex buffers (not necessarily one buffer, but the positions for the entire geometry should come from one buffer if possible)

Definition at line 52 of file OgreShadowCaster.h.

## Member Typedef Documentation

typedef map<size_t, Vector4>::type Ogre::Renderable::CustomParameterMap`[protected, inherited]`

Definition at line 395 of file OgreRenderable.h.

## Constructor & Destructor Documentation

Ogre::ShadowRenderable::ShadowRenderable | ( |  | ) |

Definition at line 59 of file OgreShadowCaster.h.

virtual Ogre::ShadowRenderable::~ShadowRenderable | ( |  | ) | `[virtual]`

Definition at line 60 of file OgreShadowCaster.h.

## Member Function Documentation

virtual void Ogre::Renderable::_updateCustomGpuParameter | ( | const GpuProgramParameters::AutoConstantEntry & | constantEntry,
|  | GpuProgramParameters * | params |
| ) |  |  | const`[virtual, inherited]`

Update a custom GpuProgramParameters constant which is derived from information only this Renderable knows.

Remarks:
  This method allows a Renderable to map in a custom GPU program parameter based on it's own data. This is represented by a GPU auto parameter of ACT_CUSTOM, and to allow there to be more than one of these per Renderable, the 'data' field on the auto parameter will identify which parameter is being updated. The implementation of this method must identify the parameter being updated, and call a 'setConstant' method on the passed in GpuProgramParameters object, using the details provided in the incoming auto constant setting to identify the index at which to set the parameter.

  You do not need to override this method if you're using the standard sets of data associated with the Renderable as provided by setCustomParameter and getCustomParameter. By default, the implementation will map from the value indexed by the 'constantEntry.data' parameter to a value previously set by setCustomParameter. But custom Renderables are free to override this if they want, in any case.

Parameters:

  | constantEntry | The auto constant entry referring to the parameter being updated
  | params | The parameters object which this method should call to set the updated parameters.

Definition at line 288 of file OgreRenderable.h.

References Ogre::GpuProgramParameters::_writeRawConstant(), Ogre::GpuProgramParameters::AutoConstantEntry::data, Ogre::GpuProgramParameters::AutoConstantEntry::elementCount, and Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex.

virtual bool Ogre::Renderable::getCastsShadows | ( | void |  | ) | const`[virtual, inherited]`

Method which reports whether this renderable would normally cast a shadow.

Remarks:
  Subclasses should override this if they could have been used to generate a shadow.

Reimplemented in Ogre::InstancedGeometry::GeometryBucket.

Definition at line 223 of file OgreRenderable.h.

const Vector4& Ogre::Renderable::getCustomParameter | ( | size_t | index | ) | const`[inherited]`

Gets the custom value associated with this Renderable at the given index.

Parameters:

  | @see | setCustomParaemter for full details.

Definition at line 249 of file OgreRenderable.h.

References Ogre::Exception::ERR_ITEM_NOT_FOUND, and OGRE_EXCEPT.

ShadowRenderable* Ogre::ShadowRenderable::getLightCapRenderable | ( | void |  | ) |

Get the light cap version of this renderable.

Definition at line 90 of file OgreShadowCaster.h.

const LightList& Ogre::ShadowRenderable::getLights | ( | void |  | ) | const

Overridden from Renderable.

virtual const LightList& Ogre::Renderable::getLights | ( | void |  | ) | const`[pure virtual, inherited]`

Gets a list of lights, ordered relative to how close they are to this renderable.

Remarks:
  Directional lights, which have no position, will always be first on this list.

Implemented in Ogre::BillboardChain, Ogre::BillboardSet, Ogre::Frustum, Ogre::InstancedGeometry::GeometryBucket, and Ogre::SimpleRenderable.

virtual const MaterialPtr& Ogre::Renderable::getMaterial | ( | void |  | ) | const`[pure virtual, inherited]`

Retrieves a weak reference to the material this renderable object uses.

Remarks:
  Note that the Renderable also has the option to override the getTechnique method to specify a particular Technique to use instead of the best one available.

Implemented in Ogre::BillboardChain, Ogre::BillboardSet, Ogre::Frustum, Ogre::InstancedGeometry::GeometryBucket, and Ogre::SimpleRenderable.

const MaterialPtr& Ogre::ShadowRenderable::getMaterial | ( | void |  | ) | const

Overridden from Renderable.

Definition at line 66 of file OgreShadowCaster.h.

virtual unsigned short Ogre::Renderable::getNumWorldTransforms | ( | void |  | ) | const`[virtual, inherited]`

Returns the number of world transform matrices this renderable requires.

Remarks:
  When a renderable uses vertex blending, it uses multiple world matrices instead of a single one. Each vertex sent to the pipeline can reference one or more matrices in this list with given weights. If a renderable does not use vertex blending this method returns 1, which is the default for simplicity.

Reimplemented in Ogre::InstancedGeometry::GeometryBucket.

Definition at line 152 of file OgreRenderable.h.

virtual bool Ogre::Renderable::getPolygonModeOverrideable | ( | void |  | ) | const`[virtual, inherited]`

Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.

Definition at line 313 of file OgreRenderable.h.

virtual void Ogre::Renderable::getRenderOperation | ( | RenderOperation & | op | ) | `[pure virtual, inherited]`

Gets the render operation required to send this object to the frame buffer.

Implemented in Ogre::BillboardChain, Ogre::BillboardSet, Ogre::Frustum, and Ogre::SimpleRenderable.

void Ogre::ShadowRenderable::getRenderOperation | ( | RenderOperation & | op | ) |

Overridden from Renderable.

Definition at line 68 of file OgreShadowCaster.h.

RenderOperation* Ogre::ShadowRenderable::getRenderOperationForUpdate | ( | void |  | ) |

Get the internal render operation for set up.

Definition at line 70 of file OgreShadowCaster.h.

virtual RenderSystemData* Ogre::Renderable::getRenderSystemData | ( |  | ) | const`[virtual, inherited]`

Sets render system private data.

Remarks:
  This should only be used by a render system

Definition at line 380 of file OgreRenderable.h.

virtual Real Ogre::Renderable::getSquaredViewDepth | ( | const Camera * | cam | ) | const`[pure virtual, inherited]`

Returns the camera-relative squared depth of this renderable.

Remarks:
  Used to sort transparent objects. Squared depth is used rather than actual depth to avoid having to perform a square root on the result.

Implemented in Ogre::BillboardChain, Ogre::BillboardSet, Ogre::Frustum, Ogre::InstancedGeometry::GeometryBucket, Ogre::Rectangle2D, and Ogre::WireBoundingBox.

Referenced by Ogre::QueuedRenderableCollection::RadixSortFunctorDistance::operator()(), and Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()().

Real Ogre::ShadowRenderable::getSquaredViewDepth | ( | const Camera * |  | ) | const

Overridden from Renderable.

Definition at line 74 of file OgreShadowCaster.h.

virtual Technique* Ogre::Renderable::getTechnique | ( | void |  | ) | const`[virtual, inherited]`

Retrieves a pointer to the Material Technique this renderable object uses.

Remarks:
  This is to allow Renderables to use a chosen Technique if they wish, otherwise they will use the best Technique available for the Material they are using.

Reimplemented in Ogre::InstancedGeometry::GeometryBucket.

Definition at line 93 of file OgreRenderable.h.

bool Ogre::Renderable::getUseIdentityProjection | ( | void |  | ) | const`[inherited]`

Returns whether or not to use an 'identity' projection.

Remarks:
  Usually Renderable objects will use a projection matrix as determined by the active camera. However, if they want they can cancel this out and use an identity projection, which effectively projects in 2D using a {-1, 1} view space. Useful for overlay rendering. Normal renderables need not change this.

See also:
  Renderable::setUseIdentityProjection

Definition at line 177 of file OgreRenderable.h.

bool Ogre::Renderable::getUseIdentityView | ( | void |  | ) | const`[inherited]`

Returns whether or not to use an 'identity' view.

Remarks:
  Usually Renderable objects will use a view matrix as determined by the active camera. However, if they want they can cancel this out and use an identity matrix, which means all geometry is assumed to be relative to camera space already. Useful for overlay rendering. Normal renderables need not change this.

See also:
  Renderable::setUseIdentityView

Definition at line 202 of file OgreRenderable.h.

virtual const Any& Ogre::Renderable::getUserAny | ( | void |  | ) | const`[virtual, inherited]`

Deprecated:
  use UserObjectBindings::getUserAny via getUserObjectBindings() instead.

Retrieves the custom user value associated with this object.

Definition at line 330 of file OgreRenderable.h.

UserObjectBindings& Ogre::Renderable::getUserObjectBindings | ( |  | ) | `[inherited]`

Return an instance of user objects binding associated with this class.

You can use it to associate one or more custom objects with this class instance.

See also:
  UserObjectBindings::setUserAny.

Definition at line 336 of file OgreRenderable.h.

const UserObjectBindings& Ogre::Renderable::getUserObjectBindings | ( |  | ) | const`[inherited]`

Return an instance of user objects binding associated with this class.

You can use it to associate one or more custom objects with this class instance.

See also:
  UserObjectBindings::setUserAny.

Definition at line 342 of file OgreRenderable.h.

virtual void Ogre::Renderable::getWorldTransforms | ( | Matrix4 * | xform | ) | const`[pure virtual, inherited]`

Gets the world transform matrix / matrices for this renderable object.

Remarks:
  If the object has any derived transforms, these are expected to be up to date as long as all the SceneNode structures have been updated before this is called.

  This method will populate xform with 1 matrix if it does not use vertex blending. If it does use vertex blending it will fill the passed in pointer with an array of matrices, the length being the value returned from getNumWorldTransforms.

Note:
  Internal Ogre never supports non-affine matrix for world transform matrix/matrices, the behavior is undefined if returns non-affine matrix here.

See also:
  Matrix4::isAffine.

Implemented in Ogre::BillboardChain, Ogre::BillboardSet, Ogre::Frustum, Ogre::InstancedGeometry::GeometryBucket, Ogre::Rectangle2D, Ogre::SimpleRenderable, and Ogre::WireBoundingBox.

void Ogre::ShadowRenderable::getWorldTransforms | ( | Matrix4 * | xform | ) | const`[pure virtual]`

Overridden from Renderable.

Implemented in Ogre::Entity::EntityShadowRenderable, Ogre::ManualObject::ManualObjectSectionShadowRenderable, and Ogre::StaticGeometry::LODBucket::LODShadowRenderable.

bool Ogre::ShadowRenderable::isLightCapSeparate | ( | void |  | ) | const

Does this renderable require a separate light cap?

Remarks:
  If possible, the light cap (when required) should be contained in the usual geometry of the shadow renderable. However, if for some reason the normal depth function (less than) could cause artefacts, then a separate light cap with a depth function of 'always fail' can be used instead. The primary example of this is when there are floating point inaccuracies caused by calculating the shadow geometry separately from the real geometry.

Definition at line 87 of file OgreShadowCaster.h.

virtual bool Ogre::ShadowRenderable::isVisible | ( | void |  | ) | const`[virtual]`

Should this ShadowRenderable be treated as visible?

Reimplemented in Ogre::Entity::EntityShadowRenderable.

Definition at line 92 of file OgreShadowCaster.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

virtual void Ogre::Renderable::postRender | ( | SceneManager * | sm,
|  | RenderSystem * | rsys |
| ) |  |  | `[virtual, inherited]`

Called immediately after the Renderable has been rendered.

Definition at line 127 of file OgreRenderable.h.

virtual bool Ogre::Renderable::preRender | ( | SceneManager * | sm,
|  | RenderSystem * | rsys |
| ) |  |  | `[virtual, inherited]`

Called just prior to the Renderable being rendered.

Remarks:
  OGRE is a queued renderer, so the actual render commands are executed at a later time than the point at which an object is discovered to be visible. This allows ordering & grouping of renders without the discovery process having to be aware of it. It also means OGRE uses declarative render information rather than immediate mode rendering - this is very useful in that certain effects and processes can automatically be applied to a wide range of scenes, but the downside is that special cases are more difficult to handle, because there is not the declared state to cope with it.

  This method allows a Renderable to do something special at the actual point of rendering if it wishes to. When this method is called, all the material render state as declared by this Renderable has already been set, all that is left to do is to bind the buffers and perform the render. The Renderable may modify render state itself if it wants to (and restore it in the postRender call) before the automated render happens, or by returning 'false' from this method can actually suppress the automatic render and perform one of its own.

Returns:
  true if the automatic render should proceed, false to skip it on the assumption that the Renderable has done it manually.

Definition at line 122 of file OgreRenderable.h.

void Ogre::Renderable::setCustomParameter | ( | size_t | index,
|  | const Vector4 & | value |
| ) |  |  | `[inherited]`

Sets a custom parameter for this Renderable, which may be used to drive calculations for this specific Renderable, like GPU program parameters.

Remarks:
  Calling this method simply associates a numeric index with a 4-dimensional value for this specific Renderable. This is most useful if the material which this Renderable uses a vertex or fragment program, and has an ACT_CUSTOM parameter entry. This parameter entry can refer to the index you specify as part of this call, thereby mapping a custom parameter for this renderable to a program parameter.

Parameters:

  | index | The index with which to associate the value. Note that this does not have to start at 0, and can include gaps. It also has no direct correlation with a GPU program parameter index - the mapping between the two is performed by the ACT_CUSTOM entry, if that is used.
  | value | The value to associate.

Definition at line 240 of file OgreRenderable.h.

void Ogre::ShadowRenderable::setMaterial | ( | const MaterialPtr & | mat | ) |

Set the material to be used by the shadow, should be set by the caller before adding to a render queue.

Definition at line 64 of file OgreShadowCaster.h.

virtual void Ogre::Renderable::setPolygonModeOverrideable | ( | bool | override | ) | `[virtual, inherited]`

Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.

Parameters:

  | override | true means that a lower camera detail will override this renderables detail level, false means it won't.

Definition at line 305 of file OgreRenderable.h.

virtual void Ogre::Renderable::setRenderSystemData | ( | RenderSystemData * | val | ) | const`[virtual, inherited]`

gets render system private data

Remarks:
  This should only be used by a render system

Definition at line 388 of file OgreRenderable.h.

void Ogre::Renderable::setUseIdentityProjection | ( | bool | useIdentityProjection | ) | `[inherited]`

Sets whether or not to use an 'identity' projection.

Remarks:
  Usually Renderable objects will use a projection matrix as determined by the active camera. However, if they want they can cancel this out and use an identity projection, which effectively projects in 2D using a {-1, 1} view space. Useful for overlay rendering. Normal renderables need not change this. The default is false.

See also:
  Renderable::getUseIdentityProjection

Definition at line 163 of file OgreRenderable.h.

void Ogre::Renderable::setUseIdentityView | ( | bool | useIdentityView | ) | `[inherited]`

Sets whether or not to use an 'identity' view.

Remarks:
  Usually Renderable objects will use a view matrix as determined by the active camera. However, if they want they can cancel this out and use an identity matrix, which means all geometry is assumed to be relative to camera space already. Useful for overlay rendering. Normal renderables need not change this. The default is false.

See also:
  Renderable::getUseIdentityView

Definition at line 188 of file OgreRenderable.h.

virtual void Ogre::Renderable::setUserAny | ( | const Any & | anything | ) | `[virtual, inherited]`

Deprecated:
  use UserObjectBindings::setUserAny via getUserObjectBindings() instead.

Sets any kind of user value on this object.

Remarks:
  This method allows you to associate any user value you like with this Renderable. This can be a pointer back to one of your own classes for instance.

Definition at line 325 of file OgreRenderable.h.

## Member Data Documentation

CustomParameterMap Ogre::Renderable::mCustomParameters`[protected, inherited]`

Definition at line 396 of file OgreRenderable.h.

ShadowRenderable* Ogre::ShadowRenderable::mLightCap`[protected]`

Definition at line 57 of file OgreShadowCaster.h.

MaterialPtr Ogre::ShadowRenderable::mMaterial`[protected]`

Definition at line 55 of file OgreShadowCaster.h.

bool Ogre::Renderable::mPolygonModeOverrideable`[protected, inherited]`

Definition at line 397 of file OgreRenderable.h.

RenderOperation Ogre::ShadowRenderable::mRenderOp`[protected]`

Definition at line 56 of file OgreShadowCaster.h.

RenderSystemData* Ogre::Renderable::mRenderSystemData`[mutable, protected, inherited]`

Definition at line 401 of file OgreRenderable.h.

bool Ogre::Renderable::mUseIdentityProjection`[protected, inherited]`

Definition at line 398 of file OgreRenderable.h.

bool Ogre::Renderable::mUseIdentityView`[protected, inherited]`

Definition at line 399 of file OgreRenderable.h.

UserObjectBindings Ogre::Renderable::mUserObjectBindings`[protected, inherited]`

Definition at line 400 of file OgreRenderable.h.

The documentation for this class was generated from the following file:

- OgreShadowCaster.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:01